Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236163 - hplip: couple of packaging errors
Summary: hplip: couple of packaging errors
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-04-12 06:58 UTC by Bernard Johnson
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.7.2-8.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-17 08:51:53 UTC


Attachments (Terms of Use)

Description Bernard Johnson 2007-04-12 06:58:19 UTC
Description of problem:
1) There are duplicate files that are found in other packages:
/usr/share/foomatic/db/source/PPD/HP/fax/HP-Fax-hplip.ppd.gz (hpijs-1.7.2-5.fc7)
/usr/share/hplip/fax/ppd/HP-Fax-hplip.ppd (hplip-gui-1.7.2-5.fc7)
AND
/usr/lib/cups/backend/hpfax (hplip-1.7.2-5.fc7)
/usr/share/hplip/fax/backend/hpfax (hplip-gui-1.7.2-5.fc7)

2) There is no "%post gui" to run update-desktop-database.

3) Requires: desktop-file-utils >= 0.2.92 should be in the gui package, not the
base package.

Version-Release number of selected component (if applicable):
hplip-1.7.2-5.fc7

Comment 1 Bernard Johnson 2007-04-17 04:08:17 UTC
(In reply to comment #0)
> 2) There is no "%post gui" to run update-desktop-database.

Reopen for another small fix.
Looks like it should be %post and %postun:
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets?highlight=%28scriptlets%29#head-de6770dd9867fcd085a73a4700f6bcd0d10294ef

Not sure if this matters, but you might want to look and see:
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets?highlight=%28scriptlets%29#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda

Comment 2 Tim Waugh 2007-04-17 08:51:53 UTC
Thanks.  No, we don't install icons.


Note You need to log in before you can comment on or make changes to this bug.